/*
 * Class TYPED_POINTER [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1550 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1550 [] = {0xFF01,1552,1549,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1550 [] = {1549,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1550 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1550 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1550 [] = {1549,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1550 [] = {1549,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1550 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1550 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1550 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1550 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1550 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1550 [] = {1549,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1550 [] = {1549,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1550 [] = {0xFF01,880,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1550 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1550[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1550), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1550), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22112, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1550), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1550), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1550), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1550), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1550), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1550), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1550), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1550), 22127, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1550), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1550), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1550), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1550), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16005, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16006, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16007, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22110, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22113, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 22109, 0},
	{EIF_GENERIC(NULL), 22111, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22114, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 22115, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22116, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1550), 22117, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22118, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22119, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22120, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22121, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 22122, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 22123, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 22124, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22125, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 22126, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22128, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22129, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22130, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 22131, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 22132, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 22133, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 22134, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 22135, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1550), -1, 0xFFFFFFFF},
};
void Init1550(void)
{
	IDSC(desc_1550, 0, 1549);
	IDSC(desc_1550 + 1, 1, 1549);
	IDSC(desc_1550 + 32, 590, 1549);
	IDSC(desc_1550 + 35, 700, 1549);
	IDSC(desc_1550 + 37, 1535, 1549);
	IDSC(desc_1550 + 60, 10, 1549);
}


#ifdef __cplusplus
}
#endif
